<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
    <button (click)="newRow(modalHelp)" class="btn btn-primary ml-1">
        <i class="fa fa-plus mr-2"></i>Nuevo
    </button>
</app-page-title>


<div class="card">
    <div class="card-body">
        <kendo-grid *ngIf="!loading" [data]="dataGrid" [filter]="filter" [filterable]="true" (filterChange)="filterChange($event)"
            [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort"
            [sortable]="true" (sortChange)="sortChange($event)" [groupable]="true" [group]="groups"
            (groupChange)="groupChange($event)" (edit)="editRow($event, modalHelp)" (remove)="deleteRow($event)"
            style="height: 70vh">
            <div *ngFor="let item of gridFields">
                <kendo-grid-column [field]="item.dataKey" [title]="item.title" [width]="item.width"
                    [filterable]="item.filtro"></kendo-grid-column>
            </div>
            <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
                <ng-template kendoGridFilterCellTemplate>
                    <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
                    </kendo-switch>
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem>
                    <input type="checkbox" [checked]="dataItem.Inactivo" disabled />
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-command-column title="Acciones" width="190">
                <ng-template kendoGridCellTemplate let-isNew="isNew">
                    <button kendoGridEditCommand [primary]="true">Editar</button>
                    <button kendoGridRemoveCommand>Eliminar</button>
                </ng-template>
            </kendo-grid-command-column>
        </kendo-grid>
        <app-loading *ngIf="loading">Buscando resultados...</app-loading>
    </div>
</div>

<ng-template #modalHelp let-c="close" let-d="dismiss">
    <div class="modal-header">
        <div class="modal-title">
            <span *ngIf="!flagEdit">Nueva Categoria</span>
            <span *ngIf="flagEdit">Editar Categoria</span>
        </div>
        <button class="close" aria-label="Close" (click)="d('Cross click')">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <form [formGroup]="myFormGroup">
            <div class="row">
                <div class="form-group col">
                    <label>Categoría</label>
                    <input type="text" class="form-control" formControlName="tcat" [readOnly]="flagEdit"
                           maxlength="30" pattern="[a-zA-Z0-9 ]*"/>
                </div>
                <div class="form-group col">
                    <label class="w-100">Inactivo</label>
                    <kendo-switch formControlName="Inactivo"></kendo-switch>
                </div>
            </div>
            <div class="form-group col">
                <label>Descripción</label>
                <input type="text" class="form-control" formControlName="Descripcion" maxlength="40"
                       pattern="[a-zA-Z0-9 ]*">
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button class="btn btn-success mr-1" [disabled]="myFormGroup.invalid" (click)="guardarForm()">
            <i class="fas fa-save mr-2"></i>Guardar
        </button>
        <button class="btn btn-secondary" (click)="c('Close click');">
            Cerrar
        </button>
    </div>
</ng-template>
